{% extends "transcribe/web/base.html" %}

{% block content %}

<h1><span class="icon-table"></span> Reports</h1>
<h3>Project Reports</h3>

<a href="{% url 'reports:projects_report' %}?datetime_start={{ previous_week.datetime_start }}&datetime_end={{ previous_week.datetime_end }}">Previous Week, {{ previous_week.week_name }}</a>
<a href="{% url 'reports:projects_report' %}?datetime_start={{ previous_week.datetime_start }}&datetime_end={{ previous_week.datetime_end }}&download=True">(download)</a>
<br>
<a href="{% url 'reports:projects_report' %}?datetime_start={{ current_month.datetime_start }}&datetime_end={{ current_month.datetime_end }}">{{ current_month.month_name }}</a>
<a href="{% url 'reports:projects_report' %}?datetime_start={{ current_month.datetime_start }}&datetime_end={{ current_month.datetime_end }}&download=True">(download)</a>
<br>
<a href="{% url 'reports:projects_report' %}?datetime_start={{ previous_month.datetime_start }}&datetime_end={{ previous_month.datetime_end }}">{{ previous_month.month_name }}</a>
<a href="{% url 'reports:projects_report' %}?datetime_start={{ previous_month.datetime_start }}&datetime_end={{ previous_month.datetime_end }}&download=True">(download)</a>
<br>
<a href="{% url 'reports:projects_report' %}?datetime_start={{ previous_month2.datetime_start }}&datetime_end={{ previous_month2.datetime_end }}">{{ previous_month2.month_name }}</a>
<a href="{% url 'reports:projects_report' %}?datetime_start={{ previous_month2.datetime_start }}&datetime_end={{ previous_month2.datetime_end }}&download=True">(download)</a>

<br>
<br>
<form class="report" action="{% url 'reports:projects_report' %}" method="get" accept-charset="utf-8">
    Other Date Range:<br>
    <input type="text" name="datetime_start" value="{{ current_month.datetime_start }}" id="datetime_start">
    <input type="text" name="datetime_end" value="{{ current_month.datetime_end }}" id="datetime_end">
    <input type="submit" value="Go &rarr;">
</form>


<br>
<br>
<br>
<h3>User Reports</h3>

<a href="{% url 'reports:users_report' %}?datetime_start={{ previous_week.datetime_start }}&datetime_end={{ previous_week.datetime_end }}">Previous Week, {{ previous_week.week_name }}</a>
<a href="{% url 'reports:users_report' %}?datetime_start={{ previous_week.datetime_start }}&datetime_end={{ previous_week.datetime_end }}&download=True">(download)</a>
<br>
<a href="{% url 'reports:users_report' %}?datetime_start={{ current_month.datetime_start }}&datetime_end={{ current_month.datetime_end }}">{{ current_month.month_name }}</a>
<a href="{% url 'reports:users_report' %}?datetime_start={{ current_month.datetime_start }}&datetime_end={{ current_month.datetime_end }}&download=True">(download)</a>
<br>
<a href="{% url 'reports:users_report' %}?datetime_start={{ previous_month.datetime_start }}&datetime_end={{ previous_month.datetime_end }}">{{ previous_month.month_name }}</a>
<a href="{% url 'reports:users_report' %}?datetime_start={{ previous_month.datetime_start }}&datetime_end={{ previous_month.datetime_end }}&download=True">(download)</a>
<br>
<a href="{% url 'reports:users_report' %}?datetime_start={{ previous_month2.datetime_start }}&datetime_end={{ previous_month2.datetime_end }}">{{ previous_month2.month_name }}</a>
<a href="{% url 'reports:users_report' %}?datetime_start={{ previous_month2.datetime_start }}&datetime_end={{ previous_month2.datetime_end }}&download=True">(download)</a>

<br>
<br>
<form class="report" action="{% url 'reports:users_report' %}" method="get" accept-charset="utf-8">
    Other Date Range:<br>
    <input type="text" name="datetime_start" value="{{ current_month.datetime_start }}" id="datetime_start">
    <input type="text" name="datetime_end" value="{{ current_month.datetime_end }}" id="datetime_end">
    <input type="submit" value="Go &rarr;">
</form>

{% endblock %}
